# Interface methods for submodule: QuadEdgeMeshPoint
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PointProxy as _PointProxy


# Interface methods for class: QuadEdgeMeshPoint
class QuadEdgeMeshPointProxy(_PointProxy):
	def SetEdge(self, inputEdge) -> None:
		""""""
		...

	def SetPoint(self, point: Sequence[float]) -> None:
		""""""
		...

	def GetEdge(self):
		""""""
		...

	def IsInternal(self) -> bool:
		""""""
		...

	def GetValence(self) -> int:
		""""""
		...

